package com.javacodegeeks;

 
import java.util.ArrayList;
import java.util.List;
 
/**
 * @author Petros Koulianos
 *
 */
 
public class ModulusExample3 {
 
    public static void main(String[] args) {
 
        // perform an action at n-th number of loops
        List bigList = getList();
        int n = 1000; // n-th times 
        for (int i = 0; i < bigList.size(); i++) {
            // check the process of the running list every 1000 loops
            if (i % n == 0) {
                // calculate the process of the running list
                double process = (100 * i) / bigList.size();
                // you can update your UI with a process bar
                System.out.println("process " + process + "%");
            }
 
        }
        // your list ended
        System.out.println("process 100.0%");
    }
 
    // method to generate a list, simulating a very large dataset
    // from database or file(csv , xml etc) or web service (json etc)
    public static List getList() {
        List list = new ArrayList();
        for (int i = 0; i < 98562; i++) {
            double x = (double) Math.random();
            list.add(x * 1000);
        }
        return list;
    }
}